diff --git a/base/server/src/engine/pkihelper.py b/base/server/src/engine/pkihelper.py
index 8ca83be67ae5bf4c4eabc023253c342eac278d89..e91932720dd94d521592e5e78a4170742bcf8558 100644
--- a/base/server/src/engine/pkihelper.py
+++ b/base/server/src/engine/pkihelper.py
@@ -591,209 +600,209 @@ class configuration_file:
         #          etc.), and "correctness" (e. g. - file, directory, boolean
         #          'True' or 'False', etc.) of ALL required "value" parameters.
         #
-        if master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
-            if config.str2bool(master['pki_clone']):
+        if self.master_dict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
+            if config.str2bool(self.master_dict['pki_clone']):
                 # Verify existence of clone parameters
-                if not master.has_key('pki_ds_base_dn') or\
-                   not len(master['pki_ds_base_dn']):
+                if not self.master_dict.has_key('pki_ds_base_dn') or\
+                   not len(self.master_dict['pki_ds_base_dn']):
                     config.pki_log.error(
                         log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2,
                         "pki_ds_base_dn",
-                        master['pki_user_deployment_cfg'],
+                        self.master_dict['pki_user_deployment_cfg'],
                         extra = config.PKI_INDENTATION_LEVEL_2)
                     raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_ds_base_dn",
-                                                                                         master['pki_user_deployment_cfg']))
-                if not master.has_key('pki_ds_ldap_port') or\
-                   not len(master['pki_ds_ldap_port']):
+                                                                                         self.master_dict['pki_user_deployment_cfg']))
+                if not self.master_dict.has_key('pki_ds_ldap_port') or\
+                   not len(self.master_dict['pki_ds_ldap_port']):
                     # FUTURE:  Check for unused port value
                     #          (e. g. - must be different from master if the
                     #                   master is located on the same host)
                     config.pki_log.error(
                         log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2,
                         "pki_ds_ldap_port",
-                        master['pki_user_deployment_cfg'],
+                        self.master_dict['pki_user_deployment_cfg'],
                         extra = config.PKI_INDENTATION_LEVEL_2)
                     raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_ds_ldap_port",
-                                                                                         master['pki_user_deployment_cfg']))
-                if not master.has_key('pki_ds_ldaps_port') or\
-                   not len(master['pki_ds_ldaps_port']):
+                                                                                         self.master_dict['pki_user_deployment_cfg']))
+                if not self.master_dict.has_key('pki_ds_ldaps_port') or\
+                   not len(self.master_dict['pki_ds_ldaps_port']):
                     # FUTURE:  Check for unused port value
                     #          (e. g. - must be different from master if the
                     #                   master is located on the same host)
                     config.pki_log.error(
                         log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2,
                         "pki_ds_ldaps_port",
-                        master['pki_user_deployment_cfg'],
+                        self.master_dict['pki_user_deployment_cfg'],
                         extra = config.PKI_INDENTATION_LEVEL_2)
                     raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_ds_ldaps_port",
-                                                                                         master['pki_user_deployment_cfg']))
+                                                                                         self.master_dict['pki_user_deployment_cfg']))
                 # NOTE:  Although this will be checked prior to getting to
                 #        this method, this clone's 'pki_instance_name' MUST
                 #        be different from the master's 'pki_instance_name'
                 #        IF AND ONLY IF the master and clone are located on
                 #        the same host!
-                if not master.has_key('pki_ajp_port') or\
-                   not len(master['pki_ajp_port']):
+                if not self.master_dict.has_key('pki_ajp_port') or\
+                   not len(self.master_dict['pki_ajp_port']):
                     # FUTURE:  Check for unused port value
                     #          (e. g. - must be different from master if the
                     #                   master is located on the same host)
                     config.pki_log.error(
                         log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2,
                         "pki_ajp_port",
-                        master['pki_user_deployment_cfg'],
+                        self.master_dict['pki_user_deployment_cfg'],
                         extra = config.PKI_INDENTATION_LEVEL_2)
                     raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_ajp_port",
-                                                                                         master['pki_user_deployment_cfg']))
-                if not master.has_key('pki_http_port') or\
-                   not len(master['pki_http_port']):
+                                                                                         self.master_dict['pki_user_deployment_cfg']))
+                if not self.master_dict.has_key('pki_http_port') or\
+                   not len(self.master_dict['pki_http_port']):
                     # FUTURE:  Check for unused port value
                     #          (e. g. - must be different from master if the
                     #                   master is located on the same host)
                     config.pki_log.error(
                         log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2,
                         "pki_http_port",
-                        master['pki_user_deployment_cfg'],
+                        self.master_dict['pki_user_deployment_cfg'],
                         extra = config.PKI_INDENTATION_LEVEL_2)
                     raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_http_port",
-                                                                                         master['pki_user_deployment_cfg']))
-                if not master.has_key('pki_https_port') or\
-                   not len(master['pki_https_port']):
+                                                                                         self.master_dict['pki_user_deployment_cfg']))
+                if not self.master_dict.has_key('pki_https_port') or\
+                   not len(self.master_dict['pki_https_port']):
                     # FUTURE:  Check for unused port value
                     #          (e. g. - must be different from master if the
                     #                   master is located on the same host)
                     config.pki_log.error(
                         log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2,
                         "pki_https_port",
-                        master['pki_user_deployment_cfg'],
+                        self.master_dict['pki_user_deployment_cfg'],
                         extra = config.PKI_INDENTATION_LEVEL_2)
                     raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_https_port",
-                                                                                         master['pki_user_deployment_cfg']))
-                if not master.has_key('pki_tomcat_server_port') or\
-                   not len(master['pki_tomcat_server_port']):
+                                                                                         self.master_dict['pki_user_deployment_cfg']))
+                if not self.master_dict.has_key('pki_tomcat_server_port') or\
+                   not len(self.master_dict['pki_tomcat_server_port']):
                     # FUTURE:  Check for unused port value
                     #          (e. g. - must be different from master if the
                     #                   master is located on the same host)
                     config.pki_log.error(
                         log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2,
                         "pki_tomcat_server_port",
-                        master['pki_user_deployment_cfg'],
+                        self.master_dict['pki_user_deployment_cfg'],
                         extra = config.PKI_INDENTATION_LEVEL_2)
                     raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_tomcat_server_port",
-                                                                                         master['pki_user_deployment_cfg']))
-                if not master.has_key('pki_clone_pkcs12_path') or\
-                   not len(master['pki_clone_pkcs12_path']):
+                                                                                         self.master_dict['pki_user_deployment_cfg']))
+                if not self.master_dict.has_key('pki_clone_pkcs12_path') or\
+                   not len(self.master_dict['pki_clone_pkcs12_path']):
                     config.pki_log.error(
                         log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2,
                         "pki_clone_pkcs12_path",
-                        master['pki_user_deployment_cfg'],
+                        self.master_dict['pki_user_deployment_cfg'],
                         extra = config.PKI_INDENTATION_LEVEL_2)
                     raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_clone_pkcs12_path",
-                                                                                         master['pki_user_deployment_cfg']))
-                elif not os.path.isfile(master['pki_clone_pkcs12_path']):
+                                                                                         self.master_dict['pki_user_deployment_cfg']))
+                elif not os.path.isfile(self.master_dict['pki_clone_pkcs12_path']):
                     config.pki_log.error(
                         log.PKI_FILE_ALREADY_EXISTS_NOT_A_FILE_1,
-                        master['pki_clone_pkcs12_path'],
+                        self.master_dict['pki_clone_pkcs12_path'],
                         extra = config.PKI_INDENTATION_LEVEL_2)
                     raise Exception(log.PKI_FILE_ALREADY_EXISTS_NOT_A_FILE_1 % "pki_clone_pkcs12_path")
-                if not master.has_key('pki_clone_replication_security') or\
-                   not len(master['pki_clone_replication_security']):
+                if not self.master_dict.has_key('pki_clone_replication_security') or\
+                   not len(self.master_dict['pki_clone_replication_security']):
                     config.pki_log.error(
                         log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2,
                         "pki_clone_replication_security",
-                        master['pki_user_deployment_cfg'],
+                        self.master_dict['pki_user_deployment_cfg'],
                         extra = config.PKI_INDENTATION_LEVEL_2)
                     raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_clone_replication_security",
-                                                                                         master['pki_user_deployment_cfg']))
-                if not master.has_key('pki_clone_uri') or\
-                   not len(master['pki_clone_uri']):
+                                                                                         self.master_dict['pki_user_deployment_cfg']))
+                if not self.master_dict.has_key('pki_clone_uri') or\
+                   not len(self.master_dict['pki_clone_uri']):
                     config.pki_log.error(
                         log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2,
                         "pki_clone_uri",
-                        master['pki_user_deployment_cfg'],
+                        self.master_dict['pki_user_deployment_cfg'],
                         extra = config.PKI_INDENTATION_LEVEL_2)
                     raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_clone_uri",
-                                                                                         master['pki_user_deployment_cfg']))
-            elif master['pki_subsystem'] == "CA" and\
-                 config.str2bool(master['pki_external']):
-                if not master.has_key('pki_external_step_two') or\
-                   not len(master['pki_external_step_two']):
+                                                                                         self.master_dict['pki_user_deployment_cfg']))
+            elif self.master_dict['pki_subsystem'] == "CA" and\
+                 config.str2bool(self.master_dict['pki_external']):
+                if not self.master_dict.has_key('pki_external_step_two') or\
+                   not len(self.master_dict['pki_external_step_two']):
                     config.pki_log.error(
                         log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2,
                         "pki_external_step_two",
-                        master['pki_user_deployment_cfg'],
+                        self.master_dict['pki_user_deployment_cfg'],
                         extra = config.PKI_INDENTATION_LEVEL_2)
                     raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_extrenal_step_two",
-                                                                                          master['pki_user_deployment_cfg']))
-                if not config.str2bool(master['pki_external_step_two']):
+                                                                                          self.master_dict['pki_user_deployment_cfg']))
+                if not config.str2bool(self.master_dict['pki_external_step_two']):
                     # External CA (Step 1)
-                    if not master.has_key('pki_external_csr_path') or\
-                       not len(master['pki_external_csr_path']):
+                    if not self.master_dict.has_key('pki_external_csr_path') or\
+                       not len(self.master_dict['pki_external_csr_path']):
                         config.pki_log.error(
                             log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2,
                             "pki_external_csr_path",
-                            master['pki_user_deployment_cfg'],
+                            self.master_dict['pki_user_deployment_cfg'],
                             extra = config.PKI_INDENTATION_LEVEL_2)
                         raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_extrenal_csr_path",
-                                                                                              master['pki_user_deployment_cfg']))
-                    elif os.path.exists(master['pki_external_csr_path']) and\
-                         not os.path.isfile(master['pki_external_csr_path']):
+                                                                                              self.master_dict['pki_user_deployment_cfg']))
+                    elif os.path.exists(self.master_dict['pki_external_csr_path']) and\
+                         not os.path.isfile(self.master_dict['pki_external_csr_path']):
                         config.pki_log.error(
                             log.PKI_FILE_ALREADY_EXISTS_NOT_A_FILE_1,
-                            master['pki_external_csr_path'],
+                            self.master_dict['pki_external_csr_path'],
                             extra = config.PKI_INDENTATION_LEVEL_2)
                         raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % "pki_extrenal_csr_path")
                 else:
                     # External CA (Step 2)
-                    if not master.has_key('pki_external_ca_cert_chain_path') or\
-                       not len(master['pki_external_ca_cert_chain_path']):
+                    if not self.master_dict.has_key('pki_external_ca_cert_chain_path') or\
+                       not len(self.master_dict['pki_external_ca_cert_chain_path']):
                         config.pki_log.error(
                             log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2,
                             "pki_external_ca_cert_chain_path",
-                            master['pki_user_deployment_cfg'],
+                            self.master_dict['pki_user_deployment_cfg'],
                             extra = config.PKI_INDENTATION_LEVEL_2)
                         raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_extrenal_ca_cert_chain_path",
-                                                                                              master['pki_user_deployment_cfg']))
+                                                                                              self.master_dict['pki_user_deployment_cfg']))
                     elif os.path.exists(
-                                 master['pki_external_ca_cert_chain_path']) and\
+                                 self.master_dict['pki_external_ca_cert_chain_path']) and\
                          not os.path.isfile(
-                                 master['pki_external_ca_cert_chain_path']):
+                                 self.master_dict['pki_external_ca_cert_chain_path']):
                         config.pki_log.error(
                             log.PKI_FILE_ALREADY_EXISTS_NOT_A_FILE_1,
-                            master['pki_external_ca_cert_chain_path'],
+                            self.master_dict['pki_external_ca_cert_chain_path'],
                             extra = config.PKI_INDENTATION_LEVEL_2)
                         raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % "pki_extrenal_ca_cert_chain_path")
-                    if not master.has_key('pki_external_ca_cert_path') or\
-                       not len(master['pki_external_ca_cert_path']):
+                    if not self.master_dict.has_key('pki_external_ca_cert_path') or\
+                       not len(self.master_dict['pki_external_ca_cert_path']):
                         config.pki_log.error(
                             log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2,
                             "pki_external_ca_cert_path",
-                            master['pki_user_deployment_cfg'],
+                            self.master_dict['pki_user_deployment_cfg'],
                             extra = config.PKI_INDENTATION_LEVEL_2)
                         raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_extrenal_ca_cert_path",
-                                                                                              master['pki_user_deployment_cfg']))
-                    elif os.path.exists(master['pki_external_ca_cert_path']) and\
+                                                                                              self.master_dict['pki_user_deployment_cfg']))
+                    elif os.path.exists(self.master_dict['pki_external_ca_cert_path']) and\
                          not os.path.isfile(
-                                 master['pki_external_ca_cert_path']):
+                                 self.master_dict['pki_external_ca_cert_path']):
                         config.pki_log.error(
                             log.PKI_FILE_ALREADY_EXISTS_NOT_A_FILE_1,
-                            master['pki_external_ca_cert_path'],
+                            self.master_dict['pki_external_ca_cert_path'],
                             extra = config.PKI_INDENTATION_LEVEL_2)
                         raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % "pki_extrenal_ca_cert_path")
         return
 
     def populate_non_default_ports(self):
-        if master['pki_http_port'] != \
+        if self.master_dict['pki_http_port'] != \
             str(config.PKI_DEPLOYMENT_DEFAULT_TOMCAT_HTTP_PORT):
-                ports.append(master['pki_http_port'])
-        if master['pki_https_port'] != \
+                ports.append(self.master_dict['pki_http_port'])
+        if self.master_dict['pki_https_port'] != \
             str(config.PKI_DEPLOYMENT_DEFAULT_TOMCAT_HTTPS_PORT):
-                ports.append(master['pki_https_port'])
-        if master['pki_tomcat_server_port'] != \
+                ports.append(self.master_dict['pki_https_port'])
+        if self.master_dict['pki_tomcat_server_port'] != \
             str(config.PKI_DEPLOYMENT_DEFAULT_TOMCAT_SERVER_PORT):
-                ports.append(master['pki_tomcat_server_port'])
-        if master['pki_ajp_port'] != \
+                ports.append(self.master_dict['pki_tomcat_server_port'])
+        if self.master_dict['pki_ajp_port'] != \
             str(config.PKI_DEPLOYMENT_DEFAULT_TOMCAT_AJP_PORT):
-                ports.append(master['pki_ajp_port'])
+                ports.append(self.master_dict['pki_ajp_port'])
         return
 
     def verify_selinux_ports(self):
@@ -839,27 +848,25 @@ class configuration_file:
     def verify_command_matches_configuration_file(self):
         # Silently verify that the command-line parameters match the values
         # that are present in the corresponding configuration file
-        if master['pki_deployment_executable'] == 'pkidestroy':
-            if master['pki_deployed_instance_name'] != \
-               master['pki_instance_name']:
+        if self.master_dict['pki_deployment_executable'] == 'pkidestroy':
+            if self.master_dict['pki_deployed_instance_name'] != \
+               self.master_dict['pki_instance_name']:
                 config.pki_log.error(
                     log.PKIHELPER_COMMAND_LINE_PARAMETER_MISMATCH_2,
-                    master['pki_deployed_instance_name'],
-                    master['pki_instance_name'],
+                    self.master_dict['pki_deployed_instance_name'],
+                    self.master_dict['pki_instance_name'],
                     extra = config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % (master['pki_deployed_instance_name'],
-                                                                                      master['pki_instance_name']))
+                raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % (self.master_dict['pki_deployed_instance_name'],
+                                                                                      self.master_dict['pki_instance_name']))
         return
 
-
-
 # PKI Deployment XML File Class
 # class xml_file:
 #    def remove_filter_section_from_web_xml(self,
 #                                           web_xml_source,
 #                                           web_xml_target):
 #        config.pki_log.info(log.PKIHELPER_REMOVE_FILTER_SECTION_1,
-#            master['pki_target_subsystem_web_xml'],
+#            self.master_dict['pki_target_subsystem_web_xml'],
 #            extra=config.PKI_INDENTATION_LEVEL_2)
 #        begin_filters_section = False
 #        begin_servlet_section = False
@@ -885,20 +892,23 @@ class configuration_file:
 #                FILE.write(line)
 #        FILE.close()
 
-
-# PKI Deployment Instance Class
-class instance:
+class _Instance:
+    """PKI Deployment Instance Class"""
+    
+    def __init__(self, pki_master_dict):
+        self.master_dict = pki_master_dict
+    
     def apache_instance_subsystems(self):
         rv = 0
         try:
             # count number of PKI subsystems present
             # within the specified Apache instance
             for subsystem in config.PKI_APACHE_SUBSYSTEMS:
-                path = master['pki_instance_path'] + "/" + subsystem.lower()
+                path = self.master_dict['pki_instance_path'] + "/" + subsystem.lower()
                 if os.path.exists(path) and os.path.isdir(path):
                     rv = rv + 1
             config.pki_log.debug(log.PKIHELPER_APACHE_INSTANCE_SUBSYSTEMS_2,
-                                 master['pki_instance_path'],
+                                 self.master_dict['pki_instance_path'],
                                  rv, extra = config.PKI_INDENTATION_LEVEL_2)
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
@@ -915,16 +925,16 @@ class instance:
             # simply count the number of PKI 'apache' instances (directories)
             # present within the PKI 'apache' registry directory
             for instance in\
-                os.listdir(master['pki_instance_type_registry_path']):
+                os.listdir(self.master_dict['pki_instance_type_registry_path']):
                 if os.path.isdir(
-                       os.path.join(master['pki_instance_type_registry_path'],
+                       os.path.join(self.master_dict['pki_instance_type_registry_path'],
                        instance)) and not\
                    os.path.islink(
-                       os.path.join(master['pki_instance_type_registry_path'],
+                       os.path.join(self.master_dict['pki_instance_type_registry_path'],
                        instance)):
                     rv = rv + 1
             config.pki_log.debug(log.PKIHELPER_APACHE_INSTANCES_2,
-                                 master['pki_instance_type_registry_path'],
+                                 self.master_dict['pki_instance_type_registry_path'],
                                  rv,
                                  extra = config.PKI_INDENTATION_LEVEL_2)
         except OSError as exc:
@@ -939,11 +949,11 @@ class instance:
             # Since ALL directories within the top-level PKI infrastructure
             # SHOULD represent PKI instances, look for all possible
             # PKI instances within the top-level PKI infrastructure
-            for instance in os.listdir(master['pki_path']):
-                if os.path.isdir(os.path.join(master['pki_path'], instance))\
+            for instance in os.listdir(self.master_dict['pki_path']):
+                if os.path.isdir(os.path.join(self.master_dict['pki_path'], instance))\
                    and not\
-                   os.path.islink(os.path.join(master['pki_path'], instance)):
-                    dir = os.path.join(master['pki_path'], instance)
+                   os.path.islink(os.path.join(self.master_dict['pki_path'], instance)):
+                    dir = os.path.join(self.master_dict['pki_path'], instance)
                     # Since ANY directory within this PKI instance COULD
                     # be a PKI subsystem, look for all possible
                     # PKI subsystems within this PKI instance
@@ -953,7 +963,7 @@ class instance:
                             if name.upper() in config.PKI_SUBSYSTEMS:
                                 rv = rv + 1
             config.pki_log.debug(log.PKIHELPER_PKI_INSTANCE_SUBSYSTEMS_2,
-                                 master['pki_instance_path'], rv,
+                                 self.master_dict['pki_instance_path'], rv,
                                  extra = config.PKI_INDENTATION_LEVEL_2)
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
@@ -966,7 +976,7 @@ class instance:
         rv = []
         try:
             for subsystem in config.PKI_TOMCAT_SUBSYSTEMS:
-                path = master['pki_instance_path'] + "/" + subsystem.lower()
+                path = self.master_dict['pki_instance_path'] + "/" + subsystem.lower()
                 if os.path.exists(path) and os.path.isdir(path):
                     rv.append(subsystem)
         except OSErr as e:
@@ -984,16 +994,16 @@ class instance:
             # simply count the number of PKI 'tomcat' instances (directories)
             # present within the PKI 'tomcat' registry directory
             for instance in\
-                os.listdir(master['pki_instance_type_registry_path']):
+                os.listdir(self.master_dict['pki_instance_type_registry_path']):
                 if os.path.isdir(
-                       os.path.join(master['pki_instance_type_registry_path'],
+                       os.path.join(self.master_dict['pki_instance_type_registry_path'],
                        instance)) and not\
                    os.path.islink(
-                       os.path.join(master['pki_instance_type_registry_path'],
+                       os.path.join(self.master_dict['pki_instance_type_registry_path'],
                        instance)):
                     rv = rv + 1
             config.pki_log.debug(log.PKIHELPER_TOMCAT_INSTANCES_2,
-                                 master['pki_instance_type_registry_path'],
+                                 self.master_dict['pki_instance_type_registry_path'],
                                  rv,
                                  extra = config.PKI_INDENTATION_LEVEL_2)
         except OSError as exc:
@@ -1004,13 +1014,13 @@ class instance:
 
     def verify_subsystem_exists(self):
         try:
-            if not os.path.exists(master['pki_subsystem_path']):
+            if not os.path.exists(self.master_dict['pki_subsystem_path']):
                 config.pki_log.error(log.PKI_SUBSYSTEM_DOES_NOT_EXIST_2,
-                                     master['pki_subsystem'],
-                                     master['pki_instance_name'],
+                                     self.master_dict['pki_subsystem'],
+                                     self.master_dict['pki_instance_name'],
                                      extra = config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKI_SUBSYSTEM_DOES_NOT_EXIST_2 % (master['pki_subsystem'],
-                                                                      master['pki_instance_name']))
+                raise Exception(log.PKI_SUBSYSTEM_DOES_NOT_EXIST_2 % (self.master_dict['pki_subsystem'],
+                                                                      self.master_dict['pki_instance_name']))
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra = config.PKI_INDENTATION_LEVEL_2)
